在打开一个 sln 项目包含 dotnet core 的时候,可能在打开的时候提示找不到 sdk 一般是没有在安装的时候安装对应的开发

如果在导入一个 sln 文件的时候看到下面的提示

.NETCore SDK Not Found

需要判断现在使用是Vs2015或VS2017版本

如果是2015,去 https://github.com/aspnet/Tooling/blob/master/known-issues-vs2015.md 下载对应版本

如果是2017,去 https://github.com/aspnet/Tooling/blob/master/known-issues-vs2017.md 下载

当然不想下载,修改global.json文件,将使用的版本号修改为当前你的设备已经安装的版本

{
  "projects": [ "src", "test" ],
  "sdk": 
  {
    "version": "1.0.0-preview2-003121"  你需要的版本
  }
}

本文会经常更新,请阅读原文: https://blog.lindexi.com/post/%E4%BF%AE%E5%A4%8D-dotnet-Core-%E7%BC%BASDK%E7%BC%96%E8%AF%91%E5%A4%B1%E8%B4%A5.html ,以避免陈旧错误知识的误导,同时有更好的阅读体验。

如果你想持续阅读我的最新博客,请点击 RSS 订阅,推荐使用RSS Stalker订阅博客,或者前往 CSDN 关注我的主页

知识共享许可协议 本作品采用 知识共享署名-非商业性使用-相同方式共享 4.0 国际许可协议 进行许可。欢迎转载、使用、重新发布,但务必保留文章署名林德熙(包含链接: https://blog.lindexi.com ),不得用于商业目的,基于本文修改后的作品务必以相同的许可发布。如有任何疑问,请 与我联系